Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.0
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.codehaus.groovy.antlr.parser
Interface GroovyTokenTypes

    interface GroovyTokenTypes

Field Summary
`int` | `ABSTRACT`
`int` | `ANNOTATION`
`int` | `ANNOTATIONS`
`int` | `ANNOTATION_ARRAY_INIT`
`int` | `ANNOTATION_DEF`
`int` | `ANNOTATION_FIELD_DEF`
`int` | `ANNOTATION_MEMBER_VALUE_PAIR`
`int` | `ARRAY_DECLARATOR`
`int` | `ASSIGN`
`int` | `AT`
`int` | `BAND`
`int` | `BAND_ASSIGN`
`int` | `BIG_SUFFIX`
`int` | `BLOCK`
`int` | `BNOT`
`int` | `BOR`
`int` | `BOR_ASSIGN`
`int` | `BSR`
`int` | `BSR_ASSIGN`
`int` | `BXOR`
`int` | `BXOR_ASSIGN`
`int` | `CASE_GROUP`
`int` | `CLASS_DEF`
`int` | `CLOSABLE_BLOCK`
`int` | `CLOSABLE_BLOCK_OP`
`int` | `CLOSURE_LIST`
`int` | `COLON`
`int` | `COMMA`
`int` | `COMPARE_TO`
`int` | `CTOR_CALL`
`int` | `CTOR_IDENT`
`int` | `DEC`
`int` | `DIGIT`
`int` | `DIV`
`int` | `DIV_ASSIGN`
`int` | `DOLLAR`
`int` | `DOT`
`int` | `DYNAMIC_MEMBER`
`int` | `ELIST`
`int` | `ELVIS_OPERATOR`
`int` | `EMPTY_STAT`
`int` | `ENUM_CONSTANT_DEF`
`int` | `ENUM_DEF`
`int` | `EOF`
`int` | `EQUAL`
`int` | `ESC`
`int` | `EXPONENT`
`int` | `EXPR`
`int` | `EXTENDS_CLAUSE`
`int` | `FINAL`
`int` | `FLOAT_SUFFIX`
`int` | `FOR_CONDITION`
`int` | `FOR_EACH_CLAUSE`
`int` | `FOR_INIT`
`int` | `FOR_IN_ITERABLE`
`int` | `FOR_ITERATOR`
`int` | `GE`
`int` | `GT`
`int` | `HEX_DIGIT`
`int` | `IDENT`
`int` | `IMPLEMENTS_CLAUSE`
`int` | `IMPLICIT_PARAMETERS`
`int` | `IMPORT`
`int` | `INC`
`int` | `INDEX_OP`
`int` | `INSTANCE_INIT`
`int` | `INTERFACE_DEF`
`int` | `LABELED_ARG`
`int` | `LABELED_STAT`
`int` | `LAND`
`int` | `LBRACK`
`int` | `LCURLY`
`int` | `LE`
`int` | `LETTER`
`int` | `LIST_CONSTRUCTOR`
`int` | `LITERAL_as`
`int` | `LITERAL_assert`
`int` | `LITERAL_boolean`
`int` | `LITERAL_break`
`int` | `LITERAL_byte`
`int` | `LITERAL_case`
`int` | `LITERAL_catch`
`int` | `LITERAL_char`
`int` | `LITERAL_class`
`int` | `LITERAL_continue`
`int` | `LITERAL_def`
`int` | `LITERAL_default`
`int` | `LITERAL_double`
`int` | `LITERAL_else`
`int` | `LITERAL_enum`
`int` | `LITERAL_extends`
`int` | `LITERAL_false`
`int` | `LITERAL_finally`
`int` | `LITERAL_float`
`int` | `LITERAL_for`
`int` | `LITERAL_if`
`int` | `LITERAL_implements`
`int` | `LITERAL_import`
`int` | `LITERAL_in`
`int` | `LITERAL_instanceof`
`int` | `LITERAL_int`
`int` | `LITERAL_interface`
`int` | `LITERAL_long`
`int` | `LITERAL_native`
`int` | `LITERAL_new`
`int` | `LITERAL_null`
`int` | `LITERAL_package`
`int` | `LITERAL_private`
`int` | `LITERAL_protected`
`int` | `LITERAL_public`
`int` | `LITERAL_return`
`int` | `LITERAL_short`
`int` | `LITERAL_static`
`int` | `LITERAL_super`
`int` | `LITERAL_switch`
`int` | `LITERAL_synchronized`
`int` | `LITERAL_this`
`int` | `LITERAL_threadsafe`
`int` | `LITERAL_throw`
`int` | `LITERAL_throws`
`int` | `LITERAL_transient`
`int` | `LITERAL_true`
`int` | `LITERAL_try`
`int` | `LITERAL_void`
`int` | `LITERAL_volatile`
`int` | `LITERAL_while`
`int` | `LNOT`
`int` | `LOR`
`int` | `LPAREN`
`int` | `LT`
`int` | `MAP_CONSTRUCTOR`
`int` | `MEMBER_POINTER`
`int` | `METHOD_CALL`
`int` | `METHOD_DEF`
`int` | `MINUS`
`int` | `MINUS_ASSIGN`
`int` | `ML_COMMENT`
`int` | `MOD`
`int` | `MODIFIERS`
`int` | `MOD_ASSIGN`
`int` | `NLS`
`int` | `NOT_EQUAL`
`int` | `NULL_TREE_LOOKAHEAD`
`int` | `NUM_BIG_DECIMAL`
`int` | `NUM_BIG_INT`
`int` | `NUM_DOUBLE`
`int` | `NUM_FLOAT`
`int` | `NUM_INT`
`int` | `NUM_LONG`
`int` | `OBJBLOCK`
`int` | `ONE_NL`
`int` | `OPTIONAL_DOT`
`int` | `PACKAGE_DEF`
`int` | `PARAMETERS`
`int` | `PARAMETER_DEF`
`int` | `PLUS`
`int` | `PLUS_ASSIGN`
`int` | `POST_DEC`
`int` | `POST_INC`
`int` | `QUESTION`
`int` | `RANGE_EXCLUSIVE`
`int` | `RANGE_INCLUSIVE`
`int` | `RBRACK`
`int` | `RCURLY`
`int` | `REGEXP_CTOR_END`
`int` | `REGEXP_LITERAL`
`int` | `REGEXP_SYMBOL`
`int` | `REGEX_FIND`
`int` | `REGEX_MATCH`
`int` | `RPAREN`
`int` | `SELECT_SLOT`
`int` | `SEMI`
`int` | `SH_COMMENT`
`int` | `SL`
`int` | `SLIST`
`int` | `SL_ASSIGN`
`int` | `SL_COMMENT`
`int` | `SPREAD_ARG`
`int` | `SPREAD_DOT`
`int` | `SPREAD_MAP_ARG`
`int` | `SR`
`int` | `SR_ASSIGN`
`int` | `STAR`
`int` | `STAR_ASSIGN`
`int` | `STAR_STAR`
`int` | `STAR_STAR_ASSIGN`
`int` | `STATIC_IMPORT`
`int` | `STATIC_INIT`
`int` | `STRICTFP`
`int` | `STRING_CH`
`int` | `STRING_CONSTRUCTOR`
`int` | `STRING_CTOR_END`
`int` | `STRING_CTOR_MIDDLE`
`int` | `STRING_CTOR_START`
`int` | `STRING_LITERAL`
`int` | `STRING_NL`
`int` | `SUPER_CTOR_CALL`
`int` | `TRIPLE_DOT`
`int` | `TYPE`
`int` | `TYPECAST`
`int` | `TYPE_ARGUMENT`
`int` | `TYPE_ARGUMENTS`
`int` | `TYPE_LOWER_BOUNDS`
`int` | `TYPE_PARAMETER`
`int` | `TYPE_PARAMETERS`
`int` | `TYPE_UPPER_BOUNDS`
`int` | `UNARY_MINUS`
`int` | `UNARY_PLUS`
`int` | `UNUSED_CONST`
`int` | `UNUSED_DO`
`int` | `UNUSED_GOTO`
`int` | `VARIABLE_DEF`
`int` | `VARIABLE_PARAMETER_DEF`
`int` | `VOCAB`
`int` | `WILDCARD_TYPE`
`int` | `WS`

Field Detail

### ABSTRACT

    int ABSTRACT

### ANNOTATION

    int ANNOTATION

### ANNOTATIONS

    int ANNOTATIONS

### ANNOTATION_ARRAY_INIT

    int ANNOTATION_ARRAY_INIT

### ANNOTATION_DEF

    int ANNOTATION_DEF

### ANNOTATION_FIELD_DEF

    int ANNOTATION_FIELD_DEF

### ANNOTATION_MEMBER_VALUE_PAIR

    int ANNOTATION_MEMBER_VALUE_PAIR

### ARRAY_DECLARATOR

    int ARRAY_DECLARATOR

### ASSIGN

    int ASSIGN

### AT

    int AT

### BAND

    int BAND

### BAND_ASSIGN

    int BAND_ASSIGN

### BIG_SUFFIX

    int BIG_SUFFIX

### BLOCK

    int BLOCK

### BNOT

    int BNOT

### BOR

    int BOR

### BOR_ASSIGN

    int BOR_ASSIGN

### BSR

    int BSR

### BSR_ASSIGN

    int BSR_ASSIGN

### BXOR

    int BXOR

### BXOR_ASSIGN

    int BXOR_ASSIGN

### CASE_GROUP

    int CASE_GROUP

### CLASS_DEF

    int CLASS_DEF

### CLOSABLE_BLOCK

    int CLOSABLE_BLOCK

### CLOSABLE_BLOCK_OP

    int CLOSABLE_BLOCK_OP

### CLOSURE_LIST

    int CLOSURE_LIST

### COLON

    int COLON

### COMMA

    int COMMA

### COMPARE_TO

    int COMPARE_TO

### CTOR_CALL

    int CTOR_CALL

### CTOR_IDENT

    int CTOR_IDENT

### DEC

    int DEC

### DIGIT

    int DIGIT

### DIV

    int DIV

### DIV_ASSIGN

    int DIV_ASSIGN

### DOLLAR

    int DOLLAR

### DOT

    int DOT

### DYNAMIC_MEMBER

    int DYNAMIC_MEMBER

### ELIST

    int ELIST

### ELVIS_OPERATOR

    int ELVIS_OPERATOR

### EMPTY_STAT

    int EMPTY_STAT

### ENUM_CONSTANT_DEF

    int ENUM_CONSTANT_DEF

### ENUM_DEF

    int ENUM_DEF

### EOF

    int EOF

### EQUAL

    int EQUAL

### ESC

    int ESC

### EXPONENT

    int EXPONENT

### EXPR

    int EXPR

### EXTENDS_CLAUSE

    int EXTENDS_CLAUSE

### FINAL

    int FINAL

### FLOAT_SUFFIX

    int FLOAT_SUFFIX

### FOR_CONDITION

    int FOR_CONDITION

### FOR_EACH_CLAUSE

    int FOR_EACH_CLAUSE

### FOR_INIT

    int FOR_INIT

### FOR_IN_ITERABLE

    int FOR_IN_ITERABLE

### FOR_ITERATOR

    int FOR_ITERATOR

### GE

    int GE

### GT

    int GT

### HEX_DIGIT

    int HEX_DIGIT

### IDENT

    int IDENT

### IMPLEMENTS_CLAUSE

    int IMPLEMENTS_CLAUSE

### IMPLICIT_PARAMETERS

    int IMPLICIT_PARAMETERS

### IMPORT

    int IMPORT

### INC

    int INC

### INDEX_OP

    int INDEX_OP

### INSTANCE_INIT

    int INSTANCE_INIT

### INTERFACE_DEF

    int INTERFACE_DEF

### LABELED_ARG

    int LABELED_ARG

### LABELED_STAT

    int LABELED_STAT

### LAND

    int LAND

### LBRACK

    int LBRACK

### LCURLY

    int LCURLY

### LE

    int LE

### LETTER

    int LETTER

### LIST_CONSTRUCTOR

    int LIST_CONSTRUCTOR

### LITERAL_as

    int LITERAL_as

### LITERAL_assert

    int LITERAL_assert

### LITERAL_boolean

    int LITERAL_boolean

### LITERAL_break

    int LITERAL_break

### LITERAL_byte

    int LITERAL_byte

### LITERAL_case

    int LITERAL_case

### LITERAL_catch

    int LITERAL_catch

### LITERAL_char

    int LITERAL_char

### LITERAL_class

    int LITERAL_class

### LITERAL_continue

    int LITERAL_continue

### LITERAL_def

    int LITERAL_def

### LITERAL_default

    int LITERAL_default

### LITERAL_double

    int LITERAL_double

### LITERAL_else

    int LITERAL_else

### LITERAL_enum

    int LITERAL_enum

### LITERAL_extends

    int LITERAL_extends

### LITERAL_false

    int LITERAL_false

### LITERAL_finally

    int LITERAL_finally

### LITERAL_float

    int LITERAL_float

### LITERAL_for

    int LITERAL_for

### LITERAL_if

    int LITERAL_if

### LITERAL_implements

    int LITERAL_implements

### LITERAL_import

    int LITERAL_import

### LITERAL_in

    int LITERAL_in

### LITERAL_instanceof

    int LITERAL_instanceof

### LITERAL_int

    int LITERAL_int

### LITERAL_interface

    int LITERAL_interface

### LITERAL_long

    int LITERAL_long

### LITERAL_native

    int LITERAL_native

### LITERAL_new

    int LITERAL_new

### LITERAL_null

    int LITERAL_null

### LITERAL_package

    int LITERAL_package

### LITERAL_private

    int LITERAL_private

### LITERAL_protected

    int LITERAL_protected

### LITERAL_public

    int LITERAL_public

### LITERAL_return

    int LITERAL_return

### LITERAL_short

    int LITERAL_short

### LITERAL_static

    int LITERAL_static

### LITERAL_super

    int LITERAL_super

### LITERAL_switch

    int LITERAL_switch

### LITERAL_synchronized

    int LITERAL_synchronized

### LITERAL_this

    int LITERAL_this

### LITERAL_threadsafe

    int LITERAL_threadsafe

### LITERAL_throw

    int LITERAL_throw

### LITERAL_throws

    int LITERAL_throws

### LITERAL_transient

    int LITERAL_transient

### LITERAL_true

    int LITERAL_true

### LITERAL_try

    int LITERAL_try

### LITERAL_void

    int LITERAL_void

### LITERAL_volatile

    int LITERAL_volatile

### LITERAL_while

    int LITERAL_while

### LNOT

    int LNOT

### LOR

    int LOR

### LPAREN

    int LPAREN

### LT

    int LT

### MAP_CONSTRUCTOR

    int MAP_CONSTRUCTOR

### MEMBER_POINTER

    int MEMBER_POINTER

### METHOD_CALL

    int METHOD_CALL

### METHOD_DEF

    int METHOD_DEF

### MINUS

    int MINUS

### MINUS_ASSIGN

    int MINUS_ASSIGN

### ML_COMMENT

    int ML_COMMENT

### MOD

    int MOD

### MODIFIERS

    int MODIFIERS

### MOD_ASSIGN

    int MOD_ASSIGN

### NLS

    int NLS

### NOT_EQUAL

    int NOT_EQUAL

### NULL_TREE_LOOKAHEAD

    int NULL_TREE_LOOKAHEAD

### NUM_BIG_DECIMAL

    int NUM_BIG_DECIMAL

### NUM_BIG_INT

    int NUM_BIG_INT

### NUM_DOUBLE

    int NUM_DOUBLE

### NUM_FLOAT

    int NUM_FLOAT

### NUM_INT

    int NUM_INT

### NUM_LONG

    int NUM_LONG

### OBJBLOCK

    int OBJBLOCK

### ONE_NL

    int ONE_NL

### OPTIONAL_DOT

    int OPTIONAL_DOT

### PACKAGE_DEF

    int PACKAGE_DEF

### PARAMETERS

    int PARAMETERS

### PARAMETER_DEF

    int PARAMETER_DEF

### PLUS

    int PLUS

### PLUS_ASSIGN

    int PLUS_ASSIGN

### POST_DEC

    int POST_DEC

### POST_INC

    int POST_INC

### QUESTION

    int QUESTION

### RANGE_EXCLUSIVE

    int RANGE_EXCLUSIVE

### RANGE_INCLUSIVE

    int RANGE_INCLUSIVE

### RBRACK

    int RBRACK

### RCURLY

    int RCURLY

### REGEXP_CTOR_END

    int REGEXP_CTOR_END

### REGEXP_LITERAL

    int REGEXP_LITERAL

### REGEXP_SYMBOL

    int REGEXP_SYMBOL

### REGEX_FIND

    int REGEX_FIND

### REGEX_MATCH

    int REGEX_MATCH

### RPAREN

    int RPAREN

### SELECT_SLOT

    int SELECT_SLOT

### SEMI

    int SEMI

### SH_COMMENT

    int SH_COMMENT

### SL

    int SL

### SLIST

    int SLIST

### SL_ASSIGN

    int SL_ASSIGN

### SL_COMMENT

    int SL_COMMENT

### SPREAD_ARG

    int SPREAD_ARG

### SPREAD_DOT

    int SPREAD_DOT

### SPREAD_MAP_ARG

    int SPREAD_MAP_ARG

### SR

    int SR

### SR_ASSIGN

    int SR_ASSIGN

### STAR

    int STAR

### STAR_ASSIGN

    int STAR_ASSIGN

### STAR_STAR

    int STAR_STAR

### STAR_STAR_ASSIGN

    int STAR_STAR_ASSIGN

### STATIC_IMPORT

    int STATIC_IMPORT

### STATIC_INIT

    int STATIC_INIT

### STRICTFP

    int STRICTFP

### STRING_CH

    int STRING_CH

### STRING_CONSTRUCTOR

    int STRING_CONSTRUCTOR

### STRING_CTOR_END

    int STRING_CTOR_END

### STRING_CTOR_MIDDLE

    int STRING_CTOR_MIDDLE

### STRING_CTOR_START

    int STRING_CTOR_START

### STRING_LITERAL

    int STRING_LITERAL

### STRING_NL

    int STRING_NL

### SUPER_CTOR_CALL

    int SUPER_CTOR_CALL

### TRIPLE_DOT

    int TRIPLE_DOT

### TYPE

    int TYPE

### TYPECAST

    int TYPECAST

### TYPE_ARGUMENT

    int TYPE_ARGUMENT

### TYPE_ARGUMENTS

    int TYPE_ARGUMENTS

### TYPE_LOWER_BOUNDS

    int TYPE_LOWER_BOUNDS

### TYPE_PARAMETER

    int TYPE_PARAMETER

### TYPE_PARAMETERS

    int TYPE_PARAMETERS

### TYPE_UPPER_BOUNDS

    int TYPE_UPPER_BOUNDS

### UNARY_MINUS

    int UNARY_MINUS

### UNARY_PLUS

    int UNARY_PLUS

### UNUSED_CONST

    int UNUSED_CONST

### UNUSED_DO

    int UNUSED_DO

### UNUSED_GOTO

    int UNUSED_GOTO

### VARIABLE_DEF

    int VARIABLE_DEF

### VARIABLE_PARAMETER_DEF

    int VARIABLE_PARAMETER_DEF

### VOCAB

    int VOCAB

### WILDCARD_TYPE

    int WILDCARD_TYPE

### WS

    int WS

Copyright © 2003-2009 The Codehaus. All rights reserved.